Show / Hide Table of Contents

# Class JobGauges

##### Inheritance

System.Object
JobGauges

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.ClientState

###### Assembly: Dalamud.dll

##### Syntax

    public class JobGauges

### Constructors

| Improve this Doc View Source

#### JobGauges(ClientStateAddressResolver)

##### Declaration

    public JobGauges(ClientStateAddressResolver addressResolver)

##### Parameters

Type | Name | Description
--- | --- | ---
Dalamud.Game.ClientState.ClientStateAddressResolver | addressResolver |

### Methods

| Improve this Doc View Source

#### Get<T>()

##### Declaration

    public T Get<T>()

##### Returns

Type | Description
--- | ---
T |

##### Type Parameters

Name | Description
--- | ---
T |